| # | User | Rating |
|---|---|---|
| 1 | Benq | 3676 |
| 2 | jiangly | 3670 |
| 3 | Kevin114514 | 3657 |
| 4 | maroonrk | 3355 |
| 5 | Um_nik | 3353 |
| 6 | squareOf105 | 3346 |
| 7 | tourist | 3343 |
| 8 | strapple | 3324 |
| 9 | heuristica | 3322 |
| 10 | jiangbowen | 3291 |
| # | User | Contrib. |
|---|---|---|
| 1 | Qingyu | 158 |
| 2 | nik_exists | 150 |
| 2 | maspy | 150 |
| 4 | AmShZ | 143 |
| 5 | Um_nik | 141 |
| 6 | Errichto | 139 |
| 7 | adamant | 137 |
| 8 | BledDest | 133 |
| 8 | maroonrk | 133 |
| 10 | qwexd | 130 |
|
+7
I'm sorry. But it is strange that on polygon the intended solutions do run faster or inconsistently, compared to on main site. For D, intended solution runs 498ms (with stacks and without any optimization), and one of the testers runs <= 220ms. Considering the implementation for this problem are barely the same for most people, we set the TL to 1s. For E, intended solution runs 888ms, and errorgorn's HLD solution runs 795ms. Anyway, for this problem, the TL is tight. It's better to set 4s. I apologize for that. |
|
-9
I guess that because they are linear complexity... |
|
+150
Thanks for your voluntary test! |
|
+11
And the solution for H is mentioned in its official editorial. |
|
0
Oh my fault I used two "not" there and that may confuse you... So literally I meant the authors should have introduced the technique then. |
|
0
Unfortunately, "the data structure that can maintain historic sum" is a well-known algorithm (appears in the contest that every China CPer takes parts in) in China :( and that may be the reason why authors do not elaborate on it. However, it's not a good idea to not introduce that in the official editorial. |
|
On
vaaven →
Codeforces Round #852 (Div.2, based on Moscow Olympiad for Young Students, rated), 4 years ago
+64
Is it rated? |
|
0
Auto comment: topic has been updated by Imakf (previous revision, new revision, compare). |
|
+29
As an author, I don't really know who you are. |
|
+18
Auto comment: topic has been updated by Imakf (previous revision, new revision, compare). |
|
+28
Off topic: where does EZEC-chan's tail come out from? |
|
0
In that case, you can actually increase the initial q value (from 0 to 1,2,3 and so on) until this kind of cases do not happen. If you do this, you will get the "real q", which, however, is the same as the q calculated by the editorial's algorithm. If your IQ still don't get to the upper bound after testing all round, you can also increase the initial q value. Also, this operation will not influence the contests you are able to test. Sorry that I didn't mention this in the editorial. My English wording is bad. |
|
+151
1-gon 可爱 1-gon cute. Hope everyone enjoy the round. |
|
+105
As a tester, I'd like to say: tianbu is a genius. stO tianbu Orz |
|
+16
Touhou Project |
|
0
Now it's fixed. Thanks. |
|
+18
Exactly right. |
|
+11
Sorry. Now it's fixed. |
|
0
Sorry, I'll fix it soon. |
|
+58
Apparently no. That's the notification for Kotlin Heroes: Episode 6. This round is a normal Codeforces round in which C++, Java, Python, etc. can be used. |
|
+408
As a problem setter, I set some problems. |
|
+8
https://codeforces.me/contest/1251/problem/F (FFT) https://codeforces.me/contest/438/problem/E (FFT + generating function) |
|
+123
Sad. Chinese schools should be destroyed. |
|
+90
The problem writer said
Spoiler Just joking |
|
+89
It turns out that everything is fine. The coordinator is still reviewing our problems. I was just too nervous yesterday. In the end, I want to thank people who tried to help us and the warm-hearted Codeforces community. We will create a nice problem set and contest as return. |
|
+8
Auto comment: topic has been updated by Imakf (previous revision, new revision, compare). |
|
+55
I think the proposal queue is quite long and there are still many writers waiting. From my personal experience, I finally get KAN's review exactly 4 months after I propose my friends' and my contest. Moreover, our contest doesn't even have a coordinator to assign to. Coordinators are so busy and committed to their work. We should thank them for their devotion. Anyway, in the period of less contests, don't forget there are considerable amount of nice problem in GYM and previous contests. Go and solve them! |
|
0
Oh, thank you! I didn't know the hack system before. |
|
0
There are 9592 primes exactly. I think 408 queries are enough to do other things. |
|
+40
My approach to problem E: $$$Ans=p_1^{k_1}\cdot p_2^{k_2} \cdots$$$. For $$$p \le \sqrt{n}$$$, just ask their exponents directly. This costs about $$$180$$$ queries. For $$$p \ge \sqrt{n}$$$, there is at most one prime factor. So remove $$$\sqrt{cnt_{primes}}$$$ primes in one time and check if the number of remaining numbers is wrong. If wrong, the factor is in the last $$$\sqrt{cnt_{primes}}$$$ numbers you remove. There are $$$cnt_{prime}+2\sqrt{cnt_{prime}}+41+66\times 2$$$ queries at most. The time complexity is $$$O(n \ln n)$$$. Since the system test isn't finished, I don't know if it's correct. edit: passed system test. |
|
+21
Score distribution changes. |
|
+3
Yet another 5 minutes extended. |
|
+31
Can't agree more. I just give up this round. |
|
+5
GSS series problems of SPOJ. |
|
+3
Yes, I mean swap the number on the vertex... Sorry for my poor English |
|
0
Auto comment: topic has been updated by Imakf (previous revision, new revision, compare). |
|
-10
Seems not sorted by difficulty... RIP my rating. |
|
+6
Maybe lichao tree? I don't have a idea. |
|
+2
Consider there is only 1 line. You can use a easy DP to get that there are $$$S$$$ ways to color the first line. Except ways $$$101010...$$$ and $$$010101...$$$ there are $$$S-2$$$ ways to color the line with surely $$$\ge$$$ one pair of $$$00$$$ or $$$11$$$. For these $$$S-2$$$ ways of coloring the first line ,because they contain substrings $$$00$$$ or $$$11$$$ ,there is excatly $$$1$$$ way to color the rest for each ways. So the contributions to the answer is just $$$S - 2$$$ For $$$101010...$$$ and $$$010101...$$$ ,in the rest lines ,there is no way to color $$$00$$$ or $$$11$$$ in a line but maybe in a column. And you can use the same DP to solve it. |
|
+20
How short the announcement is! However, hope your first round will be successful! |
|
+7
OMG I feel SOOOOO SAD for you! |
|
0
Is it serious for us div2? I think I have crippling depression. |
|
0
Anybody knows the difference among div.1+div2 and 2 separate rounds? |
|
0
How can a normal round be ICPC rules! |
|
+13
Good contest ,but... System test and rating change are SOOOOOOOO SLOW! |
|
0
And it's nearly 1 am in China, I have to go to bed so I can't leave more details. Bye. |
|
+17
My English is poor sry. An O(nm) solution: Let dp[i][j] be the maximum cost when choosing a[i] as the end of a subarray and the length of the subarray is n (n mod m == j). So when j = 0 ,dp[i][j] = dp[i — 1][m — 1] + a[i]; when j = 1 ,dp[i][j] = max(a[i] ,dp[i — 1][j — 1] + a[i]) — k; else dp[i][j] = dp[i — 1][j — 1] + a[i] The answer is the maximum of the dp array. |
|
0
YES!!! Hope no fst! |
|
0
Are you a repeater or something? |
|
+5
Every time I take part in educational rounds I couldn't solve problem D out. But in normal round I can solve it (but somtimes fst XP). Ah, wish all would solve D this time! |
|
+8
Without your mention, I even didn't notice. |
|
-19
It'll be held at 22:35. I've never stayed up late for a contest XD. |
| Name |
|---|


